Не могу найти библиотеку (libcrypto.so.7)

Модератор: Skull

Аватара пользователя
KALIBR-10
Сообщения: 182
ОС: ALT LINUX 4.1

Не могу найти библиотеку

Сообщение KALIBR-10 » 21.10.2008 13:23

ALT 4.1 ставлю x11vnc просит libcrypto.so.7 и libssh.so.7 подскажите откуда их вытащить
Через 2 года война с США (не спрашивайте от куда такие данные), я им войну ужэ объявил, вирусную, вчера у двух америкосов компы загубил (итого ужэ пять), к вечеру опять в бой.
Спасибо сказали:

yaleks
Сообщения: 2121
Статус: вне статуса
ОС: Gentoo ~

Re: Не могу найти библиотеку

Сообщение yaleks » 21.10.2008 14:03

откуда ставите?
Спасибо сказали:

Аватара пользователя
KALIBR-10
Сообщения: 182
ОС: ALT LINUX 4.1

Re: Не могу найти библиотеку

Сообщение KALIBR-10 » 21.10.2008 14:17

yaleks писал(а):
21.10.2008 14:03
откуда ставите?


скачал с сизифа
Через 2 года война с США (не спрашивайте от куда такие данные), я им войну ужэ объявил, вирусную, вчера у двух америкосов компы загубил (итого ужэ пять), к вечеру опять в бой.
Спасибо сказали:

Alexei_VM
Сообщения: 765
ОС: ALT Linux Sisyphus

Re: Не могу найти библиотеку

Сообщение Alexei_VM » 21.10.2008 15:58

KALIBR-10 писал(а):
21.10.2008 14:17
yaleks писал(а):
21.10.2008 14:03
откуда ставите?


скачал с сизифа


Или ОБНОВЛЯЙТЕ систему до Сизифа (на свой страх и риск), и ставьте оттуда софт ПРАВИЛЬНО (через apt-get), или качайте из Сизифа src.rpm, изучайте hasher, и пересобирайте программу в своем окружении.
Спасибо сказали:

Аватара пользователя
eddy
Сообщения: 3321
Статус: Красный глаз тролля
ОС: ArchLinux

Re: Не могу найти библиотеку

Сообщение eddy » 21.10.2008 17:53

Вытаскивать не надо, надо просто обновить openssl (со всеми зависимостями, а то может что-нибудь важное отвалиться).
RTFM
-------
KOI8-R - патриотичная кодировка Изображение
Спасибо сказали:

Аватара пользователя
GazDek
Сообщения: 15
ОС: AltLinux

Re: Не могу найти библиотеку

Сообщение GazDek » 25.10.2008 02:09

В следующий раз введи название нужной библиотеки в строку Google.
Так можно выяснить, в каком пакете она находится, качай\обновляй пакет....
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: Не могу найти библиотеку

Сообщение romuil » 25.10.2008 09:14

GazDek писал(а):
25.10.2008 02:09
Привет, земляк.
В следующий раз введи название нужной библиотеки в строку Google.
Так можно выяснить, в каком пакете она находится, качай\обновляй пакет....

Так можно выяснить что угодно, кроме того в каком пакете она находится.
Средствами apt-cache, aptitude и rpmquery определяет что и где искать/установить.
А для этого надо грамотно настроить систему и источники установки пакетов.
Спасибо сказали:

Murdoch
Сообщения: 24
ОС: Fedora 7

Re: Не могу найти библиотеку

Сообщение Murdoch » 25.11.2009 08:54

romuil писал(а):
25.10.2008 09:14
GazDek писал(а):
25.10.2008 02:09
Привет, земляк.
В следующий раз введи название нужной библиотеки в строку Google.
Так можно выяснить, в каком пакете она находится, качай\обновляй пакет....

Так можно выяснить что угодно, кроме того в каком пакете она находится.
Средствами apt-cache, aptitude и rpmquery определяет что и где искать/установить.
А для этого надо грамотно настроить систему и источники установки пакетов.



Вы можете просто написать, какой пакет нужно скачать и установить, чтобы я смог поставить rdesktop из Сизифа например на Opensuse 11.2 ?

потому, что писать какием мы тут все умные - это отличительная черта, практически всех альтовцев, начиная с разработчиков, а вот дать дельный совет, или пояснение - этого увы, никто из них не может, сразу полный ступор.
Спасибо сказали:

Аватара пользователя
Skull
Модератор
Сообщения: 2089
ОС: ALT Linux

Re: Не могу найти библиотеку

Сообщение Skull » 26.11.2009 12:39

Murdoch писал(а):
25.11.2009 08:54
Вы можете просто написать, какой пакет нужно скачать и установить, чтобы я смог поставить rdesktop из Сизифа например на Opensuse 11.2 ?

потому, что писать какием мы тут все умные - это отличительная черта, практически всех альтовцев, начиная с разработчиков, а вот дать дельный совет, или пояснение - этого увы, никто из них не может, сразу полный ступор.
Это элементарный здравый смысл. Потому как при установке несовместимого софта вы же первый начнёте кричать, что программа не работает. И мы окажемся виноваты. Думаете, вы первый?

Вам абсолютно точно написали, что нужно делать (и совсем не сложно подумать или найти ответ почему софт может быть несовместим). Но вы посчитали себя умнее и наглее (обвинять, не дождавшись ответа). Чему удивляться?
Skull
Спасибо сказали: